package com.hc.business.service;

import com.github.pagehelper.PageInfo;
import com.hc.business.model.AreaDistrict;
import org.springframework.stereotype.Component;


/**
 * 省份表(AreaDistrict)表服务接口
 *
 * @author java
 * @since 2020-11-20 12:48:46
 */

@Component
public interface AreaDistrictService {

    /**
     * 通过ID查询单条数据
     *
     * @param areaId 主键
     * @return 实例对象
     */
    AreaDistrict queryById(Integer areaId);

    /**
     * 新增数据
     *
     * @param areaDistrict 实例对象
     * @return 实例对象
     */
    AreaDistrict insert(AreaDistrict areaDistrict);

    /**
     * 修改数据
     *
     * @param areaDistrict 实例对象
     * @return 实例对象
     */
    AreaDistrict update(AreaDistrict areaDistrict);

    /**
     * 通过主键删除数据
     *
     * @param areaId 主键
     * @return 是否成功
     */
    boolean deleteById(Integer areaId);

    /**
     * 分页查询多条数据
     *
     * @param page 页码
     * @param size 查询条数
     * @return 对象列表
     */
    PageInfo queryAllByLimit(int page, int size);


}